Rock
Dear YouJawbreaker
US 2020 (DGC B0024092-01)Винил. Пластинка; LP; Альбом; Переиздание
Copper BlueSugar
UK 2020 (Granary Music DEMREC644)Винил. Пластинка; LP; Альбом; Переиздание
Sweet OblivionScreaming Trees
Europe 2018 (Epic 19075844091)Винил. Пластинка; LP; Альбом; Переиздание
GooSonic Youth
Europe 2015 (DGC 00602547349415)Винил. Пластинка; LP; Альбом; Переиздание
Pop, Rock
Meat Is MurderThe Smiths
UK & Europe 2012 (Rhino Records (2) 2564665878)Винил. Пластинка; LP; Альбом; Переиздание
Big Man Little Man Strike PartnershipRegal Cheer
UK 2024 (Everything Sucks Music ESM0077)Винил. Пластинка; 7"; 45 RPM; EP
Harry Dolland'sFluffy Lumbers
US 2010 (Group Tightener GT04)Винил. Пластинка; 7"; Лимитированное издание
BleachNirvana
Europe 2011 (Sub Pop SP 034)Винил. Пластинка; LP; Альбом; Ремастер
Isolation DrillsGuided By Voices
USA & Europe 2021 (TVT Records TVT 2163-1)Винил. Пластинка; LP; 45 RPM; Переиздание
Electronic, Rock
The Three E.P.'sThe Beta Band
Europe 2018 (Because Music BEC5543616)Компакт-диск. CD; Винил. Пластинка; LP; Сборник; Переиздание
12th House RockNarrow Head
US 2020 (Run For Cover Records (2) RFC215)Винил. Пластинка; LP; Альбом
From Her To EternityNick Cave & The Bad Seeds
Europe 2014 (Mute LPSEEDS1)Винил. Пластинка; LP; Альбом; Переиздание
Funk / Soul, Rock
The CarArctic Monkeys
Worldwide 2022 (Domino WIGLP455X)Винил. Пластинка; LP; Альбом; Лимитированное издание
Organ FanSilverfish
UK 1992 (Creation Records CRELP 118)Винил. Пластинка; LP; Альбом
Fuck Off Get Free We Pour Light On EverythingA Silver Mt. Zion
Canada 2014 (Constellation CST099-1)Винил. Пластинка; LP; Альбом
Tigers JawTigers Jaw
US 2023 (Run For Cover Records (2) RFC:023)Винил. Пластинка; LP; Альбом; Переиздание
You're Gonna Miss It AllModern Baseball
US 2022 (Run For Cover Records (2) RFC 096)Винил. Пластинка; LP; Repress
Peripheral VisionTurnover
UK, Europe & US 2022 (Run For Cover Records (2) RFC122)Винил. Пластинка; LP; Альбом; Переиздание
Zen ArcadeHüsker Dü
US 2023 (SST Records SST 027)Винил. Пластинка; LP; Альбом; Repress
Appeal To ReasonRise Against
US 2025 (DGC 602517850231)Винил. Пластинка; LP; Альбом; Repress
Bleed AmericanJimmy Eat World
Europe 2016 (Geffen Records 00602547316400)Винил. Пластинка; LP; Альбом; Переиздание
FugaziFugazi
US 2021 (Dischord Records DISCHORD 30)Винил. Пластинка; 12"; 33 ⅓ RPM; EP
Raw BlueWhirr
USA & Europe 2026 (FWR015)Винил. Пластинка; LP; 45 RPM; Альбом
Europe (DGC 00602547349415)Винил. Пластинка; LP; Альбом; Переиздание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.